Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class RC2CbcParameters

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.parameters.RC2Parameters
            |
            +--iaik.pkcs.pkcs11.parameters.RC2CbcParameters

All Implemented Interfaces:
  java.lang.Cloneable, Parameters

public class RC2CbcParameters
extends RC2Parameters

This class encapsulates parameters for the algorithm Mechanism.RC2_CBC.

Version:
  1.0
Author:
  Karl Scheibelhofer

Field Summary
`protected byte[]` | `initializationVector_` The initialization vector.

Fields inherited from class iaik.pkcs.pkcs11.parameters.RC2Parameters
`effectiveBits_`

Constructor Summary
`RC2CbcParameters(long effectiveBits, byte[] initializationVector)` Create a new RC2CbcParameters object with the given effective bits and the initialization vector.

Method Summary
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(java.lang.Object otherObject)` Compares all member variables of this object with the other object.
`byte[]` | `getInitializationVector()` Get the initialization vector.
`java.lang.Object` | `getPKCS11ParamsObject()` Get this parameters object as CK_RC2_CBC_PARAMS object.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setInitializationVector(byte[] initializationVector)` Set the initialization vector.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class iaik.pkcs.pkcs11.parameters.RC2Parameters
`getEffectiveBits, setEffectiveBits`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### initializationVector_

    protected byte[] initializationVector_

  The initialization vector.

Constructor Detail

### RC2CbcParameters

    public RC2CbcParameters(long effectiveBits,
                            byte[] initializationVector)

  Create a new RC2CbcParameters object with the given effective bits and the initialization vector.
  Parameters:
    `effectiveBits` - The effective number of bits in the RC2 search space.
    `initializationVector` - The initialization vector.

Method Detail

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `RC2Parameters`
  Returns:
    A clone of this object.

### getPKCS11ParamsObject

    public java.lang.Object getPKCS11ParamsObject()

  Get this parameters object as CK_RC2_CBC_PARAMS object.
  Overrides:
    `getPKCS11ParamsObject` in class `RC2Parameters`
  Returns:
    This object as CK_RC2_CBC_PARAMS object.

### getInitializationVector

    public byte[] getInitializationVector()

  Get the initialization vector.
  Returns:
    The initialization vector.

### setInitializationVector

    public void setInitializationVector(byte[] initializationVector)

  Set the initialization vector.
  Parameters:
    `initializationVector` - The initialization vector.

### toString

    public java.lang.String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.
  Overrides:
    `toString` in class `RC2Parameters`
  Returns:
    A string representation of this object.

### equals

    public boolean equals(java.lang.Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.
  Overrides:
    `equals` in class `RC2Parameters`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
  Overrides:
    `hashCode` in class `RC2Parameters`
  Returns:
    The hash code of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18